org.richfaces.renderkit

## Class ModalPanelRendererBase

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.ajax4jsf.renderkit.RendererBase
    - - org.ajax4jsf.renderkit.HeaderResourcesRendererBase
      - - org.ajax4jsf.renderkit.AjaxComponentRendererBase
        - - org.richfaces.renderkit.InputRendererBase
          - - org.richfaces.renderkit.ModalPanelRendererBase

- All Implemented Interfaces:
    org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.renderkit.HeaderResourceProducer2, org.ajax4jsf.resource.ResourceProduser
  Direct Known Subclasses:
    ModalPanelRenderer

      public class ModalPanelRendererBase
      extends org.richfaces.renderkit.InputRendererBase

  Author:
    Nick Belaevski - nbelaevski@exadel.com created 13.02.2007

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.lang.String[]` | `RESIZERS`

    - ### Fields inherited from class org.ajax4jsf.renderkit.RendererBase

      `JAVASCRIPT_NAMESPACE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModalPanelRendererBase()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkOptions(javax.faces.context.FacesContext context, UIModalPanel panel)`
    `protected void` | `doDecode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected java.lang.Class` | `getComponentClass()`
    `boolean` | `getRendersChildren()`
    `java.lang.String` | `getShowScript(javax.faces.context.FacesContext context, UIModalPanel panel)`
    `void` | `initializeResources(javax.faces.context.FacesContext context, UIModalPanel panel)`
    `void` | `writeEventHandlerFunction(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.String eventName)`
    `void` | `writeVisualOptions(javax.faces.context.FacesContext context, UIModalPanel panel)`

    - ### Methods inherited from class org.richfaces.renderkit.InputRendererBase

      `getConvertedValue, getInputValue`

    - ### Methods inherited from class org.ajax4jsf.renderkit.AjaxComponentRendererBase

      `getAdditionalScripts, getScripts`

    - ### Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase

      `encodeResourcesArray, encodeToHead, getHeaderScripts, getHeaderStyles, getStyles`

    - ### Methods inherited from class org.ajax4jsf.renderkit.RendererBase

      `addResource, decode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getResource, getSkin, getUtils, preDecode, preEncodeBegin, renderChild, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.ajax4jsf.renderkit.HeaderResourceProducer2

      `encodeToHead`

- - ### Field Detail

    - #### RESIZERS

          protected static final java.lang.String[] RESIZERS

  - ### Constructor Detail

    - #### ModalPanelRendererBase

          public ModalPanelRendererBase()

  - ### Method Detail

    - #### doDecode

          protected void doDecode(javax.faces.context.FacesContext context,
                      javax.faces.component.UIComponent component)

      Overrides:
        `doDecode` in class `org.richfaces.renderkit.InputRendererBase`

    - #### getComponentClass

          protected java.lang.Class getComponentClass()

      Overrides:
        `getComponentClass` in class `org.richfaces.renderkit.InputRendererBase`

    - #### checkOptions

          public void checkOptions(javax.faces.context.FacesContext context,
                          UIModalPanel panel)

    - #### initializeResources

          public void initializeResources(javax.faces.context.FacesContext context,
                                 UIModalPanel panel)
                                   throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getRendersChildren

          public boolean getRendersChildren()

      Overrides:
        `getRendersChildren` in class `javax.faces.render.Renderer`

    - #### getShowScript

          public java.lang.String getShowScript(javax.faces.context.FacesContext context,
                                       UIModalPanel panel)

    - #### writeEventHandlerFunction

          public void writeEventHandlerFunction(javax.faces.context.FacesContext context,
                                       javax.faces.component.UIComponent component,
                                       java.lang.String eventName)
                                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeVisualOptions

          public void writeVisualOptions(javax.faces.context.FacesContext context,
                                UIModalPanel panel)
                                  throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright © 2014. All Rights Reserved.